%global pypi_name tinycss

Name:           python-%{pypi_name}
Version:        0.4
Release:        %mkrel 8
Group:          Development/Python
Summary:        tinycss is a complete yet simple CSS parser for Python

License:        MIT
URL:            https://pypi.org/project/tinycss/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

%description
tinycss is a complete yet simple CSS parser for Python.

%package -n python3-%{pypi_name}
Summary:        tinycss is a complete yet simple CSS parser for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
tinycss is a complete yet simple CSS parser for Python 3.

%prep
%setup -qn %{pypi_name}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tinycss

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Sat Dec 16 2023 papoteur <papoteur> 0.4-8.mga10
+ Revision: 2018363
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.4-7.mga9
+ Revision: 1822394
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.4-6.mga9
+ Revision: 1773464
- Rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 0.4-5.mga9
+ Revision: 1703788
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4-4.mga8
+ Revision: 1531442
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.4-3.mga8
+ Revision: 1440333
- make it noarch, only the py2 subpkg contained binaries
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 wally <wally> 0.4-1.mga7
+ Revision: 1355709
- new version 0.4

* Thu Jan 10 2019 daviddavid <daviddavid> 0.3-10.mga7
+ Revision: 1354120
- rebuild for new Python 3.7
- rename python-tinycss to python2-tinycss

* Sun Sep 23 2018 umeabot <umeabot> 0.3-9.mga7
+ Revision: 1300611
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3-8.mga7
+ Revision: 1135664
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 0.3-7.mga6
+ Revision: 1007073
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 0.3-6.mga6
+ Revision: 958695
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 ovitters <ovitters> 0.3-5.mga6
+ Revision: 878219
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 748690
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3-4.mga5
+ Revision: 729883
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3-3.mga5
+ Revision: 688381
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3-2.mga5
+ Revision: 629059
- Rebuild for new Python

* Wed Oct 30 2013 neoclust <neoclust> 0.3-1.mga4
+ Revision: 548067
- imported package python-tinycss

